PETSc version 3.15.5
Fix/Edit manual page

# TaoGetTotalIterationNumber

Gets the total number of Tao iterations completed. This number keeps accumulating if multiple solves are called with the Tao object.

### Synopsis

    #include "petsctao.h"
    PetscErrorCode  TaoGetTotalIterationNumber(Tao tao,PetscInt *iter)

Not Collective

### Input Parameter

| tao | - Tao context

### Output Parameter

| iter | - iteration number

### Notes

The total iteration count is updated after each solve, if there is a current TaoSolve() in progress then those iterations are not yet counted.

### See Also

TaoGetLinearSolveIterations()

### Level

intermediate

### Location

src/tao/interface/taosolver.c
Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages